<script setup lang="ts">
import DialogDelete from './DialogDelete.vue';
import DialogEdit from './DialogEdit.vue';
import { useMemberStore } from '@/stores/member';
import { ref } from 'vue';

const memberStroe = useMemberStore()

const  headers =[
          {
            key: 'id',
            sortable: false,
            title: 'MemberId',
          },
          { key: 'name', title: 'Name' },
          { key: 'tel', title: 'Tel' },
          { key: 'point', title: 'point' },
          { title: 'Actions', key: 'actions', sortable: false },
        ]
const search = ref('')
</script>
<template>
    <v-row no-gutters>
            <v-col cols="12" md="5" >
                <v-text-field
                v-model="search"
                density="compact"
                variant="solo"
                label="Search Member"
                append-inner-icon="mdi-magnify"
                single-line
                hide-details
                style="width: 200px;"
                >
                </v-text-field>
            </v-col>
        </v-row>
    <v-data-table 
            :headers="headers"
            :items="memberStroe.members"
            :search="search"
            :items-per-page="8"
            >

            <template v-slot:[`item.actions`]="{ item }">
      <v-icon
        size="small"
        class="me-2"
        @click="memberStroe.editMember(item)"
      >
        mdi-pencil
      </v-icon>
      <v-icon
        size="small"
        @click="memberStroe.openDialogDelete(item)"
      >
        mdi-delete
      </v-icon>
    </template>
</v-data-table>
<DialogDelete></DialogDelete>
<DialogEdit></DialogEdit>
</template>